package com.kingdee.eas.hr.project.handler;

import com.kingdee.bos.metadata.entity.FilterInfo;
import com.kingdee.bos.metadata.entity.FilterItemCollection;
import com.kingdee.bos.metadata.entity.FilterItemInfo;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.web.dynamic.model.ListUIViewInfo;
import com.kingdee.shr.base.syssetting.web.dynamic.model.TreeNavigationInfo;
import com.kingdee.shr.base.syssetting.web.dynamic.model.UIViewInfo;
import com.kingdee.shr.base.syssetting.web.handler.ListHandler;
import org.springframework.ui.ModelMap;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/** ĿԱб
 * @BelongsProject: dataImpExp820
 * @BelongsPackage: com.kingdee.eas.hr.project.handler
 * @Author: lhbj
 * @CreateTime: 2024-11-27  18:21
 * @Description: TODO
 * @Version: 1.0
 */
public class MemberManagementListHandler extends ProjectTreeListHandler {

    @Override
    protected FilterInfo getDefaultFilter(HttpServletRequest request, HttpServletResponse response) throws SHRWebException {
        String userAdminOrgRangeSql = this.assembleTreeDataUserAdminOrgRangeSQL(request);
        FilterInfo ifo = new FilterInfo();
        ifo.getFilterItems().add(new FilterItemInfo("projectManagement.adminOrg.id in("+userAdminOrgRangeSql+")"));
        ifo.getFilterItems().add(new FilterItemInfo("projectManagement.projectState in('1','2')"));
        return ifo;
    }
}
